Metacat - Task #5937
Feature # 5810 (Closed): Implement SOLR-based search

The solr indexes of the data file contains obsoleted ids for the resourcemap and documentBy
element after updating a data package

05/21/2013 11:29 AM - Jing Tao

Status: Closed Start date: 05/21/2013
Priority: Normal Due date:

Assignee: Jing Tao % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 21.0 Spent time: 0.00 hour
Description

| used a morpho to insert a data package which includes the data file, eml file and resource map file to the metacat. The solr index
looks good:

The eml file has the correct ids for the resourceMap and documents element. The data file has the correct ids for the resourceMap
and documentBy elements.

For example the eml file has:

<arr name="resourceMap"><str>resourceMap_tao.1.1</str></arr>

<arr name="documents"><str>tao.2.1</str></arr>

the data file has:
<arr name="resourceMap"><str>resourceMap_tao.1.1</str></arr>
<arr name="isDocumentedBy"><str>tao.1.1</str></arr>

I modified the eml file and updated the package. So the package is resourceMap_tao.1.2, tao.1.2(eml) and tao.2.1(data file).
The eml part looks right:

<arr name="resourceMap"><str>resourceMap_tao.1.2</str></arr>

<arr name="documents"><str>tao.2.1</str></arr>

But the data file looks like:

<arr name="resourceMap"><str>resourceMap_tao.1.1</str><str>resourceMap_tao.1.2</str></arr>

<arr name="isDocumentedBy"><str>tao.1.1</str><str>tao.1.2</str></arr>

It has the archived ids - resourceMap_tao.1.1 and tao.1.1.

History

#1 - 05/21/2013 11:30 AM - Jing Tao
- Assignee set to Jing Tao

- Target version set to 2.1.0

#2 - 05/22/2013 08:43 AM - Jing Tao
- Parent task set to #5810

#3 - 06/03/2013 05:22 PM - Jing Tao

- Status changed from New to Closed

Add code to modify the "documents”, "resourceMap" and "documentedBy" element in the solr doc when archive happens.
